=head1 NAME

Gtk2::Socket

=head1 HIERARCHY

  Glib::Object
  +----Glib::Object::_Unregistered::GInitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Socket

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface


=head1 METHODS

=head2 widget = Gtk2::Socket-E<gt>B<new> 

=over

=back

=head2 $socket-E<gt>B<add_id> ($window_id)

=over

=over

=item * $window_id (Gtk2::Gdk::NativeWindow) 

=back

=back

=head2 nativewindow = $socket-E<gt>B<get_id> 

=over

=back

=head2 $socket-E<gt>B<steal> ($wid)

=over

=over

=item * $wid (Gtk2::Gdk::NativeWindow) 

=back

=back


=head1 SIGNALS

=over

=item B<plug-added> (Gtk2::Socket)

=item boolean = B<plug-removed> (Gtk2::Socket)

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::Object::_Unregistered::GInitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

